tests-polling
testWaitUntil
	| sem res |
	"This is just blocking for a couple of seconds. MongoDB will time out the cursor a lot earlier than that. Add a first message to the capped collection so we can actually sleep."
	smscDatabase addNewShortMessageNotification: 'First message'.
	res := smscDatabase waitUntil: (DateAndTime now + 2 seconds).
	self assert: res equals: ShortMessageTimeout.

	"Here mongodb will return earlier than anything has arrived. Let's accept it for now"
	res := smscDatabase waitUntil: (DateAndTime now + 10 seconds).
	self assert: res equals: ShortMessageTimeout.

	"Jump through some hoops?"
	sem := Semaphore new.
	[
		(Delay forMilliseconds: 100) wait.
		smscDatabase addNewShortMessageNotification: 'Wake up'.
		sem signal] fork.
	res := smscDatabase waitUntil: (DateAndTime now + 5 seconds).
	sem wait.
	self assert: res equals: ShortMessageWorkArrived.

	"And add a message so we do not wait at all"
smscDatabase
		insertShortMessage: 'This is a message' messageType: '123' destination: '1234567890' source: 'foo' deliverIn:  0 seconds expireIn: 10 days receivedOn: 'testLink'.
	res := smscDatabase waitUntil: (DateAndTime now + 10 seconds).
	self assert: res equals: ShortMessageWorkPending.
